githubEdit

GetUserAccountData

get

Retrieves user account data from the Aave pool.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account identifier from the path.
Query parameters
chainIdstringRequired
  • The chain ID from the query parameters.
addressstringRequired
  • The address from the query parameters.
userstringRequired
  • The user identifier from the query parameters.
Header parameters
AuthorizationstringRequired
  • The authorization token from the header.
Responses
chevron-right
200

A promise that resolves to an AavePoolAPIResponse containing the user account data.

application/json

Represents the structure of the response from the Aave Pool API.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

dataanyOptional

The data returned by the API, if any.

get
/aave/v3/pool/{account}/getUserAccountData
200

A promise that resolves to an AavePoolAPIResponse containing the user account data.